using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllSelectItemDetail
    {
        private DaoAchieve.SelectItemDetailDaoAchieve _CurrentDao = null;
        internal DaoAchieve.SelectItemDetailDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.SelectItemDetailDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllSelectItemDetail()
        {
            
        }
    
        #region Service Bll
        public int Save(SelectItemDetail entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<SelectItemDetail> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(SelectItemDetail entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<SelectItemDetail> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<SelectItemDetail> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public SelectItemDetail Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaSelectItemDetail mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<SelectItemDetail> Fetch(PushPlatform.Data.Criteria.CriteriaSelectItemDetail mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<SelectItemDetail>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

